Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(18)

Issue 2886233004: Generate diffing functions for generated subgroup InheritedData in ComputedStyle (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 1 week ago by nainar
Modified:
1 month, 1 week ago
Reviewers:
alancutter, shend
CC:
darktears, apavlov+blink_chromium.org, blink-reviews, blink-reviews-css, blink-reviews-style_chromium.org, chromium-reviews, dglazkov+blink, rwlbuis
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Generate diffing functions for generated subgroup InheritedData in ComputedStyle This patch generates the diffing functions for StyleInheritedData which is now a generated subgroup of ComputedStyle. Please note: No added callsite for ComputedStyleBase::DiffNeedsFullLayoutAndPaintInvalidation has been added since it is already being called. We have just appended to that JSON entry. Diff: https://gist.github.com/nainar/5650d8c7dc6b9cc5d784c5be2409b338/revisions BUG=710938 Review-Url: https://codereview.chromium.org/2886233004 Cr-Commit-Position: refs/heads/master@{#473015} Committed: https://chromium.googlesource.com/chromium/src/+/702510f88b10b7ab5df0a87ada3d09f6d1139873

Patch Set 1 #

Total comments: 7

Messages

Total messages: 25 (15 generated)
nainar
shend@, PTAL? Thanks!
1 month, 1 week ago (2017-05-18 08:28:12 UTC) #6
shend
The generated diff seems to be for another patch, can you reupload? https://codereview.chromium.org/2886233004/diff/1/third_party/WebKit/Source/core/css/ComputedStyleDiffFunctions.json5 File third_party/WebKit/Source/core/css/ComputedStyleDiffFunctions.json5 ...
1 month, 1 week ago (2017-05-18 22:17:51 UTC) #7
nainar
Updated the diff in the CL description https://codereview.chromium.org/2886233004/diff/1/third_party/WebKit/Source/core/css/ComputedStyleDiffFunctions.json5 File third_party/WebKit/Source/core/css/ComputedStyleDiffFunctions.json5 (right): https://codereview.chromium.org/2886233004/diff/1/third_party/WebKit/Source/core/css/ComputedStyleDiffFunctions.json5#newcode30 third_party/WebKit/Source/core/css/ComputedStyleDiffFunctions.json5:30: "padding-bottom", "line-height", ...
1 month, 1 week ago (2017-05-19 00:00:38 UTC) #9
shend
lgtm https://codereview.chromium.org/2886233004/diff/1/third_party/WebKit/Source/core/css/ComputedStyleDiffFunctions.json5 File third_party/WebKit/Source/core/css/ComputedStyleDiffFunctions.json5 (right): https://codereview.chromium.org/2886233004/diff/1/third_party/WebKit/Source/core/css/ComputedStyleDiffFunctions.json5#newcode30 third_party/WebKit/Source/core/css/ComputedStyleDiffFunctions.json5:30: "padding-bottom", "line-height", "font", "-webkit-border-horizontal-spacing", "-webkit-border-vertical-spacing"], On 2017/05/19 at ...
1 month, 1 week ago (2017-05-19 00:09:18 UTC) #10
nainar
meade, PTAL? Thanks! https://codereview.chromium.org/2886233004/diff/1/third_party/WebKit/Source/core/css/ComputedStyleDiffFunctions.json5 File third_party/WebKit/Source/core/css/ComputedStyleDiffFunctions.json5 (right): https://codereview.chromium.org/2886233004/diff/1/third_party/WebKit/Source/core/css/ComputedStyleDiffFunctions.json5#newcode30 third_party/WebKit/Source/core/css/ComputedStyleDiffFunctions.json5:30: "padding-bottom", "line-height", "font", "-webkit-border-horizontal-spacing", "-webkit-border-vertical-spacing"], On ...
1 month, 1 week ago (2017-05-19 00:15:02 UTC) #14
nainar
Subbing meade@ for alancutter@, PTAL? Thanks!
1 month, 1 week ago (2017-05-19 01:00:41 UTC) #18
alancutter
lgtm https://codereview.chromium.org/2886233004/diff/1/third_party/WebKit/Source/core/css/ComputedStyleDiffFunctions.json5 File third_party/WebKit/Source/core/css/ComputedStyleDiffFunctions.json5 (right): https://codereview.chromium.org/2886233004/diff/1/third_party/WebKit/Source/core/css/ComputedStyleDiffFunctions.json5#newcode30 third_party/WebKit/Source/core/css/ComputedStyleDiffFunctions.json5:30: "padding-bottom", "line-height", "font", "-webkit-border-horizontal-spacing", "-webkit-border-vertical-spacing"], On 2017/05/19 at ...
1 month, 1 week ago (2017-05-19 01:16:58 UTC) #19
nainar
https://codereview.chromium.org/2886233004/diff/1/third_party/WebKit/Source/core/style/ComputedStyle.cpp File third_party/WebKit/Source/core/style/ComputedStyle.cpp (left): https://codereview.chromium.org/2886233004/diff/1/third_party/WebKit/Source/core/style/ComputedStyle.cpp#oldcode734 third_party/WebKit/Source/core/style/ComputedStyle.cpp:734: } On 2017/05/19 at 01:16:58, alancutter wrote: > Haha, ...
1 month, 1 week ago (2017-05-19 01:18:20 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2886233004/1
1 month, 1 week ago (2017-05-19 01:19:49 UTC) #22
commit-bot: I haz the power
1 month, 1 week ago (2017-05-19 01:26:18 UTC) #25
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/702510f88b10b7ab5df0a87ada3d...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318